Bug 242564 - multimedia/mpv: Enable thread-naming
Summary: multimedia/mpv: Enable thread-naming
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2019-12-11 02:56 UTC by Mikhail Teterin
Modified: 2020-11-22 20:00 UTC (History)
1 user (show)

See Also:


Attachments
Enable thread-naming (711 bytes, patch)
2019-12-11 02:56 UTC, Mikhail Teterin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2019-12-11 02:56:54 UTC
Created attachment 209849 [details]
Enable thread-naming

The authors' checks for BSD's pthread_set_name_np() fails, because the forget to include <pthread_np.h>.

The attached file can be dropped into the files/ subdirectory to fixe this trivial problem, enabling the functionality.
Comment 1 Jan Beich freebsd_committer 2019-12-20 21:34:55 UTC
Can you submit upstream? I've tried to fix it in https://github.com/mpv-player/mpv/pull/6976 but have made a mistake batching other changes.
Comment 2 Rene Ladan freebsd_committer 2020-10-05 17:21:23 UTC
Maintainer reset.
Comment 3 Jan Beich freebsd_committer 2020-11-22 20:00:45 UTC
Obsolete after ports r556071.